Remote Code Execution  - Remote Code Execution - Adobe Acrobat Reader Affected with Remote Code Execution Vulnerability

A Critical discovered in Reader DC that will perform a stack-based buffer overflow and execute the orbitary code when users opening the vulnerable Adobe document.

This Critical RCE vulnerability the version of Adobe Acrobat Reader DC 2018.009.20044 and Below.

Adobe Acrobat Reader is the most popular and most feature-rich PDF reader. It has a big user base, is usually a default PDF reader on systems and integrates into web browsers as a plugin for rendering PDFs.

In this case, an attacker will send the specific crafted malicious document via email or, tricking a user into visiting a malicious web page and make user execute the malicious document and trigger this vulnerability.

Also Read:  Hackers Illegally Purchasing Abused Code-signing & SSL Certificates From Underground Market

Remote Code Execution Working Flow

Adobe Acrobat Reader DC application supports the embedded javascript within the Adobe document and allows it to work as PDF form.

This could be easily abused by an attacker using the vulnerability and using it for an additional surface.

According to Aleksandar Nikolic of  Cisco Talos, When parsing a PDF file with overly large Document ID field specified in the trailer, it is parsed correctly initially, but when it’s referenced in javascript, a stack-based buffer overflow can occur when encoding the bytes to a hex string.

A sample document ID:

trailer <<
  /Root 1 0 R
  /ID   <AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA><a>  
>>

In this case, Cisco Providing a simple javascript to trigger this critical Remote code execution vulnerability.

41 0 obj <<
>>
stream
    this.docID;
endstream
endobj

“the specified part of document ID field is hex-decoded into a sequence of bytes. When a this.docID is dereferenced in javascript, this byte sequence is encoded back into an ascii hex string again function at EScript+0x9e7c0

This vulnerability has been reported to Adobe and patch has been made and released an update on 2018 -02-13 with  CVE-2018-4901.



Source link

LEAVE A REPLY

Please enter your comment!
Please enter your name here